module Basefile
  class FileHandler
    attr_accessor :filein, :fileout

    def initalize(filein, fileout)
      @filein = filein || nil
      @fileout = fileout || nil
    end

    def encode_file
      if @filein == nil
        return false
      else
        f = File.open(@filein)
        return ::Basefile::Base64Shim.encode(f.read)
      end
    end

    def decode_file(encoded_str)
      if @fileout == nil
        return false
      else
        File.open(@fileout, "wb") do |file|
          file.write(::Basefile::Base64Shim.decode(encoded_str))
        end
      end
    end
  end
end
